@import url('https://fonts.googleapis.com/css2?family=Space+Grotesk:wght@300..700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');

.wp-block-post-title{
	display: none;
}

h1,h2,h3,h4,h5,h6,h7,
.wp-element-button{
  font-family: "Space Grotesk", sans-serif !important;
  font-weight: 700 !important;
	text-transform: uppercase;
}

body{
  font-family: "Inter", sans-serif;
  font-weight: 400 !important;
}

.text-blue{
	color: rgb(129, 236, 255);
}
.wp-element-button {
    background: rgb(28 32 40);
    color: #fff;
    text-transform: uppercase;
    border-radius: 5px;
    font-weight: 500 !important;
	font-family: 'Space Grotesk';
}
.wp-element-button:hover{
	background: rgb(34, 38, 47)
}
.background-blue .wp-element-button{
	background: rgb(129, 236, 255);
	color: rgb(0, 56, 64);
}
.background-blue:hover .wp-element-button{
	box-shadow: 0 0 20px rgba(129,236,255,0.3)
}


body,.wp-block {
    background-color: #0e1418 !important;
	color: #fff !important;
}
p{
	color: #eee !important;
}

.hero-image-container{
	position: relative;
}
.hero-image-container .bg {
    position: absolute;
    left: 0;
    top: 0;
    height: 512px;
    margin: 0;
    width: 512px;
	background-image: linear-gradient(to top,rgba(0, 0, 0, 0.5),rgba(0, 0, 0, 0));
	z-index: 10;
}
.hero-image-container .text {
    position: absolute;
    bottom: 0;
    margin-bottom: 8px;
    margin-left: 8px !important;
}



h1{
	font-size: 6rem;
}

p {
    color: rgb(169,171,179) !important;
    font-size: 1.125rem;
    line-height: 1.75rem;
}


.wp-block-button{
    color: rgb(0, 56, 64) !important;
    letter-spacing: -0.05em;
}

.hero-image-container .text{
	font-size: 10px;
    font-family: ui-monospace, SFMono-Regular, Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace;
	color: rgb(129 236 255 / 0.6);
}

.hero-image-container {
    border: 6px solid #000;
    display: inline-block;
    float: right;
	border-radius: 5px;
}

p.caption {
    color: rgb(129, 236, 255) !important;
    letter-spacing: 0.1em;
    text-transform: uppercase;
    font-size: 0.75rem;
    line-height: 1rem;
    border-left: 2px solid rgb(129, 236, 255);
    padding: 8px;
    padding-left: 14px;
}

.flex-center {
    display: flex !important;
    flex-direction: row;
    align-content: center;
    justify-content: space-evenly;
    align-items: center !important;
}

header{
	background: rgb(5 10 22);
}

.logo{
    color: rgb(34, 211, 238) !important;
    letter-spacing: 0.1em;
    text-transform: uppercase;
    font-weight: 700;
    font-size: 1.25rem;
    line-height: 1.75rem;
    font-family: 'Space Grotesk';
}

header nav,
footer nav{}
header nav ul,
footer nav ul {
    padding: 0;
    margin: 0;
    display: flex;
    list-style: none;
}
header nav ul li,
footer nav ul li{
    color: rgb(148, 163, 184) !important;
    letter-spacing: -0.05em;
    text-transform: uppercase;
    font-size: 0.875rem;
    line-height: 1.25rem;
    font-family: 'Space Grotesk';
	cursor: pointer;
	padding-left: 12px;
	padding-right: 12px;
}
header nav ul li:hover,
footer nav ul li:hover{
	color: rgb(255, 255, 255) !important;
}
.button-small .wp-element-button {
    font-size: 0.75rem !important;
    line-height: 1rem !important;
    padding: 10px 18px;
	letter-spacing: 0.1em;
	font-weight: 700;
}
header{
	padding-top: 12px;
	padding-bottom: 12px;
}

.dark-light-bg{
	background-color: #10131a;
}

.web-dev-img {
    height: 325px;
    overflow: hidden;
    position: relative;
}
.web-dev-img > img {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 100%;
    height: 100%;
    object-fit: cover;
    transform: translate(-50%, -50%);
}

h2{
	font-size: 2.25rem;
    line-height: 2.5rem;
}

.bordered{
	border: 6px solid rgb(22 30 38) !important;
	border-radius: 5px;
}
ul.list {
    list-style: none;
}
ul.list li{
    color: rgb(236, 237, 246);
    font-size: 0.875rem;
    line-height: 1.25rem;
    position: relative;
}
ul.list li:before {
    top: 1px;
    content: ' ';
    background: url('/wp-content/uploads/2026/03/list-style.png');
    position: absolute;
    width: 18px;
    height: 18px;
    left: -30px;
}

pre {
    color: rgb(169, 171, 179);
    font-size: 0.875rem;
    line-height: 1.25rem;
    font-family: ui-monospace, SFMono-Regular, Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace;
    border-left: 6px solid rgb(129, 236, 255);
    padding: 1.5em;
}

a.link{
	color: rgb(129, 236, 255);
    letter-spacing: 0.1em;
    text-transform: uppercase;
    font-weight: 700;
    font-size: 0.875rem;
    line-height: 1.25rem;
    font-family: Space Grotesk;
	text-decoration: none;
	position: relative;
	outline: none;
}
a.link:after {
    content: ' ';
    background: url('/wp-content/uploads/2026/03/arrow-rigth.png');
    position: absolute;
    width: 20px;
    height: 18px;
    right: -38px;
    top: 1px;
}

footer{
	background: #020617 !important;
}
.hero h2{
    font-size: 4.5rem;
    line-height: 1;
    color: rgb(236, 237, 246);
    letter-spacing: -0.05em;
    text-transform: uppercase;
    font-weight: 900;
}
footer p{
	color: rgb(100, 116, 139);
    letter-spacing: 0.1em;
    text-transform: uppercase;
    font-size: 0.75rem;
    line-height: 1rem;
    font-family: 'Inter';
}

footer nav{
	float: right;
}

body, .wp-block {
    background-color: #101112 !important;
}

@media (max-width: 1200px) {
.xs-hide {
    display: none;
  }
}
@media (max-width: 781px) {
  .xxs-hide {
    display: none;
  }
	.hero-image-container {
    border: 6px solid #000;
    display: table;
    float: none;
    border-radius: 5px;
    margin: auto;
}
	.xxs-small-h1{
    	font-size: 3.5rem !important;
	}
	.hero h2.xxs-small-h2 {
    font-size: 2.5rem !important;
}
}

.hero-image-container .bg {
    height: 100%;
    width: 100%;
}


.posts-by-category {
    max-width: max-content;
}
.posts-by-category .post {
    background: #10131a;
    padding: 2rem;
    display: flex;
    align-content: center;
    justify-content: center;
    align-items: center;
    flex-wrap: nowrap;
    flex-direction: row;
}
.posts-by-category .post .left {
    margin-right: 2rem;
}
.posts-by-category .post .right{}

.posts-by-category .post .link.right {
    float: right;
    position: relative;
    left: -64px;
}

a{
	outline: none !important;
	text-decoration: none !important;
}